%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global apiversion 3.2
%global oname jboss-ejb-api_%{apiversion}_spec
%global pname jboss-ejb-api_spec
Name:          jboss-ejb-3.2-api
Version:       1.0.0
Release:       %mkrel 1
Group:         Development/Java
Summary:       Enterprise JavaBeans 3.2 API
License:       CDDL or GPLv2 with exceptions
URL:           https://github.com/jboss/jboss-ejb-api_spec
Source0:       https://github.com/jboss/jboss-ejb-api_spec/archive/%{oname}-%{namedversion}.tar.gz
Source1:       http://jcp.org/aboutJava/communityprocess/cddl.txt

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.spec.javax.xml.rpc:jboss-jaxrpc-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)

BuildArch:     noarch

%description
JSR 345: Enterprise JavaBeans 3.2 API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{pname}-%{oname}-%{namedversion}
# Unwanted build source jar
%pom_remove_plugin :maven-source-plugin

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE
cp -p %{SOURCE1} .

%mvn_file :%{oname} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license cddl.txt LICENSE

%files javadoc -f .mfiles-javadoc
%doc README
%license cddl.txt LICENSE



%changelog
* Wed May 17 2017 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1102406
- New version 1.0.0

* Fri Feb 26 2016 neoclust <neoclust> 1.0.0-0.6.Alpha2.5.mga6
+ Revision: 979561
- Sync with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-0.2.Alpha2.4.mga5
+ Revision: 740848
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.0-0.2.Alpha2.2.mga4
+ Revision: 538027
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 dmorgan <dmorgan> 1.0.0-0.2.Alpha2.1.mga4
+ Revision: 483687
- imported package jboss-ejb-3.2-api


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.2.Alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 06 2013 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.Alpha2
- initial rpm
